# Class MismatchedDimensionException

Object
Throwable
Exception
RuntimeException
IllegalArgumentException
MismatchedDimensionException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `MismatchedMatrixSizeException`

public class MismatchedDimensionException extends IllegalArgumentException
Indicates that an operation cannot be completed properly because of a mismatch in the dimensions of object attributes.

Since:
  1.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MismatchedDimensionException()`
  Creates an exception with no message.
  `MismatchedDimensionException(String message)`
  Creates an exception with the specified message.
  `MismatchedDimensionException(String message, Throwable cause)`
  Creates an exception with the specified message and cause.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MismatchedDimensionException

    public MismatchedDimensionException()
    Creates an exception with no message.

  - ### MismatchedDimensionException

    public MismatchedDimensionException(String message)
    Creates an exception with the specified message.
    Parameters:
      `message` - The detail message. The detail message is saved for later retrieval by the `Throwable​.getMessage()` method.

  - ### MismatchedDimensionException

    public MismatchedDimensionException(String message, Throwable cause)
    Creates an exception with the specified message and cause.
    Parameters:
      `message` - The detail message. The detail message is saved for later retrieval by the `Throwable​.getMessage()` method.
      `cause` - The cause.